using System;
using System.Drawing;
using Syncfusion.Windows.Forms.Diagram;
using Syncfusion.Windows.Forms.Diagram.Controls;

namespace ControlNodeSample
{
	/// <summary>
	/// Summary description for ExSymControlNode.
	/// </summary>
	public class ExSymControlNode : Symbol
	{
		private Syncfusion.Windows.Forms.Diagram.ControlNode ctrlNode = null;

		public ExSymControlNode()
		{
			ctrlNode = new ControlNode(new RectangleF(10, 10, 120, 60));
			ctrlNode.ControlAssemblyName = "System.Windows.Forms";
			ctrlNode.ControlClassName = "System.Windows.Forms.Button";
			ctrlNode.ActivateStyle = ActivateStyle.DoubleClick;
			ctrlNode.Name = "Button";
			ctrlNode.CreateControl();
			this.AppendChild(ctrlNode);

		}
	}
}
